Index: src/molecule_pointcloud.cpp
===================================================================
--- src/molecule_pointcloud.cpp	(revision cee0b57afea6660531722346890ed484e9ea8dd4)
+++ src/molecule_pointcloud.cpp	(revision cee0b57afea6660531722346890ed484e9ea8dd4)
@@ -0,0 +1,90 @@
+/*
+ * molecule_pointcloud.cpp
+ *
+ *  Created on: Oct 5, 2009
+ *      Author: heber
+ */
+
+#include "config.hpp"
+#include "memoryallocator.hpp"
+#include "molecule.hpp"
+
+/************************************* Functions for class molecule *********************************/
+
+
+/** Determine center of all atoms.
+ * \param *out output stream for debugging
+ * \return pointer to allocated with central coordinates
+ */
+Vector *molecule::GetCenter(ofstream *out)
+{
+  Vector *center = DetermineCenterOfAll(out);
+  return center;
+};
+
+/** Return current atom in the list.
+ * \return pointer to atom or NULL if none present
+ */
+TesselPoint *molecule::GetPoint()
+{
+  if ((InternalPointer != start) && (InternalPointer != end))
+    return InternalPointer;
+  else
+    return NULL;
+};
+
+/** Return pointer to one after last atom in the list.
+ * \return pointer to end marker
+ */
+TesselPoint *molecule::GetTerminalPoint()
+{
+  return end;
+};
+
+/** Go to next atom.
+ * Stops at last one.
+ */
+void molecule::GoToNext()
+{
+  if (InternalPointer != end)
+    InternalPointer = InternalPointer->next;
+};
+
+/** Go to previous atom.
+ * Stops at first one.
+ */
+void molecule::GoToPrevious()
+{
+  if (InternalPointer->previous != start)
+    InternalPointer = InternalPointer->previous;
+};
+
+/** Goes to first atom.
+ */
+void molecule::GoToFirst()
+{
+  InternalPointer = start->next;
+};
+
+/** Goes to last atom.
+ */
+void molecule::GoToLast()
+{
+  InternalPointer = end->previous;
+};
+
+/** Checks whether we have any atoms in molecule.
+ * \return true - no atoms, false - not empty
+ */
+bool molecule::IsEmpty()
+{
+  return (start->next == end);
+};
+
+/** Checks whether we are at the last atom
+ * \return true - current atom is last one, false - is not last one
+ */
+bool molecule::IsEnd()
+{
+  return (InternalPointer == end);
+};
Index: src/moleculelist.cpp
===================================================================
--- src/moleculelist.cpp	(revision d09ff7ad9c8d572bf86f780836ed477e92efd995)
+++ src/moleculelist.cpp	(revision cee0b57afea6660531722346890ed484e9ea8dd4)
@@ -7,5 +7,5 @@
 #include "boundary.hpp"
 #include "config.hpp"
-#include "molecules.hpp"
+#include "molecule.hpp"
 #include "memoryallocator.hpp"
 
Index: src/verbose.cpp
===================================================================
--- src/verbose.cpp	(revision d09ff7ad9c8d572bf86f780836ed477e92efd995)
+++ src/verbose.cpp	(revision cee0b57afea6660531722346890ed484e9ea8dd4)
@@ -1,3 +1,3 @@
-#include "molecules.hpp"
+#include "molecule.hpp"
 
 /** Prints the tabs according to verbosity stored in the temporary constructed class.
